List payment methods
Returns the payment methods configured for the shop.
GET
/shops/{shop_id}/payment_methodsAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
shop_idintegerrequiredResponses
200Payment methods list
Request
curl -X GET "https://api.onbolder.com/v2/shops/1/payment_methods" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/shops/1/payment_methods", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/shops/1/payment_methods",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"_class": [
"results",
"paymentMethods"
],
"total_items": 2,
"_embedded": {
"items": [
{
"id": 3,
"type": "webpay_rest_payment_method",
"title": "Webpay Plus (Rest)",
"active": true
},
{
"id": 7,
"type": "bank_transfer_payment_method",
"title": "Transferencia bancaria",
"active": true
}
]
}
}